## pygccjit 0.4

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/gccjit.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/gccjit.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/gccjit"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/gccjit"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
pygccjit (0.4-9) unstable; urgency=medium

  * Stop building for Python2.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Sat, 20 Jul 2019 01:40:29 +0200

pygccjit (0.4-8) unstable; urgency=medium

  * Build using GCC 8.

 -- Matthias Klose <doko@debian.org>  Sat, 21 Jul 2018 13:26:23 +0200

pygccjit (0.4-7) unstable; urgency=medium

  * Build using GCC 7.

 -- Matthias Klose <doko@debian.org>  Fri, 08 Sep 2017 11:37:00 +0200

pygccjit (0.4-6) unstable; urgency=medium

  * Build using GCC 6.

 -- Matthias Klose <doko@debian.org>  Wed, 24 Aug 2016 10:09:48 +0200

pygccjit (0.4-5) unstable; urgency=medium

  * Ignore testsuite failures (one failing test). Closes: #800789.

 -- Matthias Klose <doko@debian.org>  Wed, 20 Jan 2016 12:42:08 +0100

pygccjit (0.4-4) unstable; urgency=medium

  * Build-depend on gcc-5 (5.1.1-13).

 -- Matthias Klose <doko@debian.org>  Tue, 07 Jul 2015 20:07:32 +0200

pygccjit (0.4-3) unstable; urgency=medium

  * Fix tests on 32bit architectures (David Malcolm). Closes: #788985.

 -- Matthias Klose <doko@debian.org>  Thu, 18 Jun 2015 18:08:54 +0200

pygccjit (0.4-2) unstable; urgency=medium

  * Fix build dependency for binary-arch only build. Closes: #788866.

 -- Matthias Klose <doko@debian.org>  Tue, 16 Jun 2015 10:30:17 +0200

pygccjit (0.4-1) unstable; urgency=low

  * Initial release (Closes: #787366).

 -- Matthias Klose <doko@debian.org>  Sun, 31 May 2015 14:03:20 +0200

=== debian/control ===
Source: pygccjit
Section: python
Priority: optional
Maintainer: Matthias Klose <doko@debian.org>
Build-Depends: debhelper (>= 9),
  dh-python,
  python3-all-dev, python3-all-dbg, cython3, cython3-dbg, python3-setuptools,
  libgccjit-8-dev, gcc-8,
#  libgccjit-9-dev, gcc-9,
  python3-sphinx
Standards-Version: 4.4.0
Homepage: https://github.com/davidmalcolm/pygccjit

Package: python3-gccjit
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends}
Suggests: python-gccjit-doc
Description: Python3 bindings for libgccjit
 The bindings support both CPython 2 and CPython 3 (using Cython).
 .
 Note that both libgccjit and the bindings are of "Alpha" quality;
 the APIs are not yet set in stone, and they shouldn't be used in
 production yet.

Package: python3-gccjit-dbg
Architecture: any
Multi-Arch: same
Section: debug
Depends: ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends},
 python3-gccjit (= ${binary:Version})
Description: Python3 bindings for libgccjit (debug build)
 The bindings support both CPython 2 and CPython 3 (using Cython).
 .
 Note that both libgccjit and the bindings are of "Alpha" quality;
 the APIs are not yet set in stone, and they shouldn't be used in
 production yet.

Package: python-gccjit-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Python bindings for libgccjit (documentation)
 Documentation, tutorials and examples for libgccjit.

=== debian/rules ===
#!/usr/bin/make -f

export CC = gcc-8
export LDSHARED = gcc-8 -pthread -shared -Wl,-O1 -Wl,-Bsymbolic-functions -Wl,-z,relro

export PYBUILD_DESTDIR_python3=debian/python3-gccjit/
export PYBUILD_DESTDIR_python3-dbg=debian/python3-gccjit-dbg/

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
ifneq (,$(filter python-gccjit-doc, $(shell dh_listpackages)))
	$(MAKE) -C doc html
endif

override_dh_auto_test:
	-dh_auto_test

override_dh_strip:
	dh_strip -ppython3-gccjit --dbg-package=python3-gccjit-dbg
	rm -rf debian/python3-gccjit-dbg/usr/share/doc/python3-gccjit-dbg
	ln -s python3-gccjit debian/python3-gccjit-dbg/usr/share/doc/python3-gccjit-dbg

override_dh_auto_clean:
	dh_auto_clean
	rm -f *.exe gccjit/*.so gccjit/gccjit.c
	rm -rf doc/_build
